# Interface DNSListener

public interface DNSListener
A listener for DNS Requests. Users may implement this interface to bypass the normal DNS lookup.

Author:
  Russell Gold

## Method Summary

Modifier and Type
Method
Description
`String`
`getIpAddress(String hostName)`
Returns the IP address as a string for the specified host name.

## Method Details

### getIpAddress

String getIpAddress(String hostName)
Returns the IP address as a string for the specified host name. Note: no validation is done to verify that the returned value is an actual IP address or that the passed host name was not an IP address.